# vue-ui-95-code

这一基于semantic.css的vue公共组件库

## 安装
```
npm install vue-ui-95-code
```

### 导入组件库
```
// 导入组件库
import UI from 'vue-ui-95-code'
// 注册组件
Vue.use(UI)
```

### 组件列表
#### 1.MyButton
```
<my-button animated @click="hClick">
      <div slot="hidden">$1231231</div>
      <div slot="visible">买买买！！！！</div>
    </my-button>

    <my-button animated="vertical">
      <div slot="hidden">$1231231</div>
      <div slot="visible">买买买！！！！</div>
    </my-button>

    <my-button animated="fade">
      <div slot="hidden">$1231231</div>
      <div slot="visible">买买买！！！！</div>
    </my-button>

    <my-button></my-button>
  
    <my-button size="mini">按钮1-mini</my-button>

    <my-button size="large">large-买买买！！！！</my-button>
    
    <my-button size="massive">large-买买买！！！！</my-button>
```


### 如果你想在此基础上开发，可以下载依赖
```
"dependencies": {
    "core-js": "^3.6.4",
    "semantic-ui-css": "^2.4.1",
    "vue": "^2.6.11",
    "vue-router": "^3.1.6"
  },
  "devDependencies": {
    "@vue/cli-plugin-babel": "~4.3.0",
    "@vue/cli-plugin-router": "~4.3.0",
    "@vue/cli-service": "~4.3.0",
    "vue-template-compiler": "^2.6.11"
  }
```